import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as u } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, f = Object.getOwnPropertyDescriptor, i = (l, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? f(r, s) : r, c = l.length - 1, p; c >= 0; c--)
    (p = l[c]) && (e = (t ? p(r, s, e) : p(e)) || e);
  return t && e && m(r, s, e), e;
};
let o = class extends u {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--voucher", this.class = "c-pieIcon c-pieIcon--voucher", this.name = "IconVoucher";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--voucher"><path d="M10.214 8A3.938 3.938 0 0 0 8 10.214 3.938 3.938 0 0 0 5.786 8 3.937 3.937 0 0 0 8 5.786 3.937 3.937 0 0 0 10.214 8Zm4.567-3.421v6.842l-1.61 1.61H2.83l-1.61-1.61V4.58l1.61-1.61H13.17l1.61 1.61Zm-1.312.551-.875-.875H3.38l-.875.875v5.74l.875.875h9.24l.875-.875-.026-5.74Z"></path></svg>`;
  }
};
i([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
i([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = i([
  v("icon-voucher")
], o);
export {
  o as IconVoucher
};
